Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.makeithappen.model.task.util
Class TaskValidator

    java.lang.Object
      org.eclipse.emf.ecore.util.EObjectValidator
          org.eclipse.emf.ecp.makeithappen.model.task.util.TaskValidator

All Implemented Interfaces:
  org.eclipse.emf.ecore.EValidator

    public class TaskValidator

extends org.eclipse.emf.ecore.util.EObjectValidator

The Validator for the model.

See Also:
  `TaskPackage`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.util.EObjectValidator
`org.eclipse.emf.ecore.util.EObjectValidator.DynamicEClassValidator, org.eclipse.emf.ecore.util.EObjectValidator.DynamicEDataTypeValidator`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EValidator
`org.eclipse.emf.ecore.EValidator.Descriptor, org.eclipse.emf.ecore.EValidator.PatternMatcher, org.eclipse.emf.ecore.EValidator.Registry, org.eclipse.emf.ecore.EValidator.SubstitutionLabelProvider, org.eclipse.emf.ecore.EValidator.ValidationDelegate`

Field Summary
`static String` | `DIAGNOSTIC_SOURCE` A constant for the `source` of diagnostic `codes` from this package.
`static TaskValidator` | `INSTANCE` The cached model package
`static int` | `TASK__HAS_NAME` The `code` for constraint 'Has Name' of 'Task'.

Fields inherited from class org.eclipse.emf.ecore.util.EObjectValidator
`DATA_VALUE__FRACTION_DIGITS_IN_RANGE, DATA_VALUE__LENGTH_IN_RANGE, DATA_VALUE__MATCHES_PATTERN, DATA_VALUE__TOTAL_DIGITS_IN_RANGE, DATA_VALUE__TYPE_CORRECT, DATA_VALUE__VALUE_IN_ENUMERATION, DATA_VALUE__VALUE_IN_RANGE, EOBJECT__EVERY_BIDIRECTIONAL_REFERENCE_IS_PAIRED, EOBJECT__EVERY_DATA_VALUE_CONFORMS, EOBJECT__EVERY_KEY_UNIQUE, EOBJECT__EVERY_MAP_ENTRY_UNIQUE, EOBJECT__EVERY_MULTIPCITY_CONFORMS, EOBJECT__EVERY_PROXY_RESOLVES, EOBJECT__EVERY_REFERENCE_IS_CONTAINED, EOBJECT__NO_CIRCULAR_CONTAINMENT, EOBJECT__UNIQUE_ID, ROOT_OBJECT`

Fields inherited from interface org.eclipse.emf.ecore.EValidator
`MARKER, RELATED_URIS_ATTRIBUTE, URI_ATTRIBUTE`

Constructor Summary
`TaskValidator()` Creates an instance of the switch.

Method Summary
`org.eclipse.emf.common.util.ResourceLocator` | `getResourceLocator()` Returns the resource locator that will be used to fetch messages for this validator's diagnostics.
`boolean` | `validateDateOfBirth(XMLGregorianCalendar dateOfBirth, org.eclipse.emf.common.util.DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` | `validateGender(Gender gender, org.eclipse.emf.common.util.DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` | `validateNationality(Nationality nationality, org.eclipse.emf.common.util.DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` | `validateTask_hasName(Task task, org.eclipse.emf.common.util.DiagnosticChain diagnostics, Map<Object,Object> context)` Validates the hasName constraint of 'Task'.
`boolean` | `validateTask(Task task, org.eclipse.emf.common.util.DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` | `validateUser(User user, org.eclipse.emf.common.util.DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` | `validateUserGroup(UserGroup userGroup, org.eclipse.emf.common.util.DiagnosticChain diagnostics, Map<Object,Object> context)`

Methods inherited from class org.eclipse.emf.ecore.util.EObjectValidator
`getFeatureLabel, getObjectLabel, getValueLabel, validate_BidirectionalReferenceIsPaired, validate_EveryBidirectionalReferenceIsPaired, validate_EveryDataValueConforms, validate_EveryDefaultConstraint, validate_EveryKeyUnique, validate_EveryMapEntryUnique, validate_EveryMultiplicityConforms, validate_EveryProxyResolves, validate_EveryReferenceIsContained, validate_NoCircularContainment, validate_UniqueID, validate, validate, validate, validate, validate, validate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final TaskValidator INSTANCE

  The cached model package

### DIAGNOSTIC_SOURCE

    public static final String DIAGNOSTIC_SOURCE

  A constant for the `source` of diagnostic `codes` from this package.

  See Also:
    `Diagnostic.getSource()`, `Diagnostic.getCode()`, Constant Field Values

### TASK__HAS_NAME

    public static final int TASK__HAS_NAME

  The `code` for constraint 'Has Name' of 'Task'.

  See Also:
    Constant Field Values

Constructor Detail

### TaskValidator

    public TaskValidator()

  Creates an instance of the switch.

Method Detail

### validateTask

    public boolean validateTask(Task task,
                                org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                Map<Object,Object> context)

### validateTask_hasName

    public boolean validateTask_hasName(Task task,
                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                        Map<Object,Object> context)

  Validates the hasName constraint of 'Task'.

### validateUser

    public boolean validateUser(User user,
                                org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                Map<Object,Object> context)

### validateUserGroup

    public boolean validateUserGroup(UserGroup userGroup,
                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                     Map<Object,Object> context)

### validateGender

    public boolean validateGender(Gender gender,
                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                  Map<Object,Object> context)

### validateNationality

    public boolean validateNationality(Nationality nationality,
                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                       Map<Object,Object> context)

### validateDateOfBirth

    public boolean validateDateOfBirth(XMLGregorianCalendar dateOfBirth,
                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                       Map<Object,Object> context)

### getResourceLocator

    public org.eclipse.emf.common.util.ResourceLocator getResourceLocator()

  Returns the resource locator that will be used to fetch messages for this validator's diagnostics.

  Overrides:
    `getResourceLocator` in class `org.eclipse.emf.ecore.util.EObjectValidator`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.